package fr.titionfire.ffsaf.utils;

import io.quarkus.runtime.annotations.RegisterForReflection;

@RegisterForReflection
public enum RoleAsso {
    MEMBRE("Membre", 0),
    PRESIDENT("Président", 7),
    VPRESIDENT("Vise-Président", 6),
    SECRETAIRE("Secrétaire", 5),
    VSECRETAIRE("Vise-Secrétaire", 4),
    TRESORIER("Trésorier", 3),
    VTRESORIER("Vise-Trésorier", 2),
    MEMBREBUREAU("Membre bureau", 1);

    public final String str;
    public final int level;

    RoleAsso(String name, int level) {
        this.str = name;
        this.level = level;
    }

    @Override
    public String toString() {
        return str;
    }
}
